@charset "utf-8";

/* 폼 초기화 */
input:hover, select:hover, textarea:hover {outline: -webkit-focus-ring-color auto 5px;} 
input::placeholder, select::placeholder, textarea::placeholder { color: gray;}
select:required:invalid { color: gray;} 
form, fieldset, input, select, option, textarea { margin: 0; padding: 0; border: 0;}
textarea {
    overflow: auto;
}
input[type="checkbox"]:checked {background-image: url(../img/check.png); background-repeat: no-repeat; background-size: cover; }
input:-ms-input-placeholder, textarea:-ms-input-placeholder {
   color: gray;
}
input::-ms-expand {
  display: none;
}
input { 
    appearance: none;
    -ms-appearance: none;
}
select { 
    appearance: none; 
    -ms-appearance: none;
    cursor: pointer;
}
select::-ms-expand { display: none; }

/* ---------- 스타일 시작 ---------- */
/* 폼 */
.form-wrap { z-index: 0;
    background-color: #444444;
    width: 100%;
    height: 850px;
    margin: 0 auto;
    position: relative;
}

#contact {
    background-color: #2b2b2b;
    height: 50px;
    font-size: 1.5rem;
    color: #eeeeee;
    display: flex;
    align-items: center;
}

form {
    display: flex;
    flex-direction: column;
}

.form-list {
    width: 100%;
}

fieldset {
    height: 260px;
    padding: 20px 0 0;
}

.fieldset-list {
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
}

input, select, textarea {
    background-color: #2b2b2b;
    color: #eeeeee;
    width: 90%;
    height: 45px;
    border-radius: 3px;
    padding-left: 15px;
}

.br-box { height: 45px;}


select {
    background-image: url(../img/arrow2.png);
    background-repeat: no-repeat;
    background-position: right;
    padding: 0;
}

option {
    color: #eeeeee;
}

.questions {
    margin-top: -130px;
}

textarea {
    height: 100%;
    padding: 15px;
    resize: none;
}

.enter {
    background-color: royalblue;
    height: 50px;
    padding: 0;
    cursor: pointer;
    
    font-size: 1.2rem;
    line-height: 100%;
    
    position: absolute;
    bottom: 25px;
    
    right: 50%;
    transform: translateX(50%);
}

.enter:hover, .enter:focus {
    background-color: #2b2b2b;
}
    
.checkbox-wrap {
    display: flex;
    color: #adadad;
    margin-bottom: -50px;
}
    
.checkbox-wrap input {
    width: 21px;
    height: 21px;
    
    position: relative;
    top: 0;
    left: 0;
    margin-right: 10px;
}

.checkbox-wrap a {
    text-decoration: underline;
}

.checkbox-wrap a:hover {
    color: #eeeeee;
}

.checkbox-wrap label {
    padding-left: 5px;
    cursor: pointer;
    color: #8e8e8e;
}

.footer {
    background-color: #2b2b2b;
    color: #adadad;
    display: flex;
/*    justify-content: center;*/
    align-items: center;
    padding: 20px 0px;
    font-size: 0.75rem;
    word-break: break-all;
}

/* 타블렛-333333 */
@media screen and (min-width: 1024px) {
    
    .form-wrap {
        height: 500px;
    }
    
    form {
        flex-direction: row;
    }
    
    fieldset {
        height: 450px;
        padding: 65px 0;
    }

    .questions {
        margin-top: 0;
    }
    
    .checkbox-wrap {
        align-items: center;
        margin-bottom: 60px;
    }
    
    .enter {
        width: 30%;
        height: 40px;
        transform: translate(0);
        right: 0px;
        bottom: 60px;
        margin-right: 1.6%;
    }

}
